# AlienImage_GIFLZWDict.hxx File Reference

`#include <Standard_Type.hxx>`
`#include <OSD_File.hxx>`

## Defines

#define | SWAP_WORD(__w) ((((__w)&0xFF) << 8) | (((__w)&0xFF00) >> 8))
#define | SWAP_DWORD(__w)
#define | NBITS 12
#define | TBL_SIZE 5021
#define | MAX_CODE ( ( 1 << NBITS ) - 1 )
#define | BUFF_SIZE 255
#define | UNUSED -1
#define | TRUE 1
#define | FALSE 0
#define | PAD(a)
#define | MALLOC(s) calloc ( ( s ), 1 )
#define | FREE(p) free ( ( p ) )
#define | __fastcall

## Typedefs

typedef unsigned int | DWORD
typedef int | LONG
typedef unsigned int | ULONG
typedef unsigned int | UINT
typedef unsigned short | WORD
typedef unsigned char | BYTE
typedef unsigned int | BOOL
typedef int * | PINT
typedef unsigned char * | PBYTE
typedef void * | LPVOID
typedef * | LPRGBQUAD

## Functions

const | Handle (Standard_Type)&STANDARD_TYPE(AlienImage_GIFLZWDict)
int | _lzw_encode (OSD_File &, const BYTE *, int, int, int)
BOOL __fastcall | _convert24to8 (LPRGBQUAD, PBYTE, PBYTE, int, int)

## Define Documentation

#define __fastcall

#define BUFF_SIZE 255

#define FALSE 0

#define FREE | ( | p |  | ) | free ( ( p ) )

#define MALLOC | ( | s |  | ) | calloc ( ( s ), 1 )

#define MAX_CODE ( ( 1 << NBITS ) - 1 )

#define NBITS 12

#define PAD | ( | a |  | ) |

Value:

    (   ( a ) % sizeof ( LONG ) ?                         \
                        sizeof ( LONG ) - (  ( a ) % sizeof ( LONG )  ) : 0  )

#define SWAP_DWORD | ( | __w |  | ) |

Value:

    ((((__w)&0x000000FF) << 24) | (((__w)&0x0000FF00) << 8) \
             |  (((__w)&0xFF0000) >> 8)  |  (((__w)&0xFF000000) >> 24)  )

#define SWAP_WORD | ( | __w |  | ) | ((((__w)&0xFF) << 8) | (((__w)&0xFF00) >> 8))

#define TBL_SIZE 5021

#define TRUE 1

#define UNUSED -1

## Typedef Documentation

typedef unsigned int BOOL

typedef unsigned char BYTE

typedef unsigned int DWORD

typedef int LONG

typedef * LPRGBQUAD

typedef void* LPVOID

typedef unsigned char* PBYTE

typedef int* PINT

typedef unsigned int UINT

typedef unsigned int ULONG

typedef unsigned short WORD

## Function Documentation

BOOL __fastcall _convert24to8 | ( | LPRGBQUAD | ,
|  | PBYTE | ,
|  | PBYTE | ,
|  | int | ,
|  | int |
| ) |

int _lzw_encode | ( | OSD_File & | ,
|  | const BYTE * | ,
|  | int | ,
|  | int | ,
|  | int |
| ) |

const Handle | ( | Standard_Type |  | ) | `[inline]`